This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1010041 - RFE: python-pandas: Please update to latest stable
RFE: python-pandas: Please update to latest stable
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: python-pandas (Show other bugs)
19
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: kushaldas@gmail.com
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-19 14:55 EDT by Paul DeStefano
Modified: 2015-01-11 11:24 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-11 11:24:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul DeStefano 2013-09-19 14:55:40 EDT
Description of problem:

I'm having problems with implicit re-indexing.  I don't know that it is related to a specific bug fix, but several reindexing changes are mentioned in the change log since 0.10.0 (current Fedora package).  Plus, several features are missing.
Comment 1 Elliott Sales de Andrade 2014-05-08 21:18:25 EDT
The latest release also includes better Python 3 support.
Comment 2 Elliott Sales de Andrade 2014-05-08 21:20:48 EDT
Looks like it's in Rawhide (Bug 1051637). Don't know if a backport is possible. (It might not be because of the API changes?)
Comment 3 Lars E. Pettersson 2014-07-27 07:13:04 EDT
I downloaded python-pandas-0.14.0-1.fc21.src.rpm from Rawhide and did

rpmbuild --rebuild python-pandas-0.14.0-1.fc21.src.rpm

Which produced

python-pandas-0.14.0-1.fc20.x86_64.rpm
python3-pandas-0.14.0-1.fc20.x86_64.rpm

So at least it compiles correctly. I have not yet tested it though. I am new to Python and wanted to test Pandas i Python3 :)
Comment 4 Sergio Pascual 2014-07-28 09:49:40 EDT
Pandas 0.14 is not backwards compatible, that's why is not updated in released versions. It could go to a copr repository
Comment 5 Fedora End Of Life 2015-01-09 14:53:57 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Elliott Sales de Andrade 2015-01-09 19:57:07 EST
This should be closed NEXTRELEASE, I think.
Comment 7 Sergio Pascual 2015-01-11 11:24:54 EST
Done, thank you

Note You need to log in before you can comment on or make changes to this bug.